Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class JobMap

    java.lang.Object
      org.pentaho.di.www.JobMap

    public class JobMap

extends Object

This is a map between the job name and the (running/waiting/finished) job.

Since:
  26-SEP-2007, 3.0.0
Author:
  Matt

Constructor Summary
`JobMap()`

Method Summary
`void` | `addAppender(String jobName, org.apache.log4j.Appender appender)`
`void` | `addJob(String jobName, Job job, JobConfiguration jobConfiguration)`
`org.apache.log4j.Appender` | `getAppender(String jobName)`
`JobConfiguration` | `getConfiguration(String jobName)`
`Map<String,JobConfiguration>` | `getConfigurationMap()`
`Job` | `getJob(String jobName)`
`String[]` | `getJobNames()`
`void` | `removeAppender(String jobName)`
`void` | `removeJob(String jobName)`
`void` | `setConfigurationMap(Map<String,JobConfiguration> configurationMap)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobMap

    public JobMap()

Method Detail

### addJob

    public void addJob(String jobName,
                       Job job,
                       JobConfiguration jobConfiguration)

### getJob

    public Job getJob(String jobName)

### getConfiguration

    public JobConfiguration getConfiguration(String jobName)

### removeJob

    public void removeJob(String jobName)

### getAppender

    public org.apache.log4j.Appender getAppender(String jobName)

### addAppender

    public void addAppender(String jobName,
                            org.apache.log4j.Appender appender)

### removeAppender

    public void removeAppender(String jobName)

### getJobNames

    public String[] getJobNames()

### getConfigurationMap

    public Map<String,JobConfiguration> getConfigurationMap()

  Returns:
    the configurationMap

### setConfigurationMap

    public void setConfigurationMap(Map<String,JobConfiguration> configurationMap)

  Parameters:
    `configurationMap` - the configurationMap to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD